package com.muyu.breakdown.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.breakdown.domain.SysCarFault;
import com.muyu.breakdown.domain.SysCarFaultMessage;
import com.muyu.breakdown.mapper.SysCarFaultMessageMapper;
import com.muyu.breakdown.service.SysCarFaultMessageService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassDescription:
 * @JdkVersion: 1.8
 * @Author: YZL
 * @Created: 2024/9/22 14:36
 */
@Service
public class SysCarFaultMessageServiceImpl extends ServiceImpl<SysCarFaultMessageMapper, SysCarFaultMessage> implements SysCarFaultMessageService {

    /**
     * 查询故障消息列表
     * @param sysCarFaultMessage
     * @return
     */
    @Override
    public List<SysCarFaultMessage> selectSysCarFaultMessageList(SysCarFaultMessage sysCarFaultMessage) {
        LambdaQueryWrapper<SysCarFaultMessage> wrapper = new LambdaQueryWrapper<>();
        return baseMapper.selectList(wrapper);
    }

    /**
     * 查询故障消息列表中状态为1的故障消息
     * @return
     */
    @Override
    public List<SysCarFaultMessage> listStatusOnt( ) {
        return baseMapper.listStatusOnt();
    }

    /**
     * 查询故障消息列表中状态为2的故障消息
     * @return
     */
    @Override
    public List<SysCarFaultMessage> listStatusTwo( ) {
        return baseMapper.listStatusTwo();
    }
}
